[gtk-vnc] Update automated build to test both GTK2 and GTK3
- From: Daniel P. Berrange <dberrange src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk-vnc] Update automated build to test both GTK2 and GTK3
- Date: Fri, 4 Nov 2011 11:46:08 +0000 (UTC)
commit 56ca3fd2506951e408550a972f0b1a319a75f27c
Author: Daniel P. Berrange <berrange redhat com>
Date: Fri Nov 4 11:46:13 2011 +0000
Update automated build to test both GTK2 and GTK3
autobuild.sh | 35 ++++++++++++++++++++++++++++++++++-
1 files changed, 34 insertions(+), 1 deletions(-)
---
diff --git a/autobuild.sh b/autobuild.sh
index be26d07..0cf7154 100755
--- a/autobuild.sh
+++ b/autobuild.sh
@@ -11,11 +11,24 @@ mkdir build
cd build
../autogen.sh --prefix=$AUTOBUILD_INSTALL_ROOT \
- --enable-compile-warnings=error
+ --enable-compile-warnings=error \
+ --with-gtk=2.0
make
make install
+# Test GTK3 build too if available
+pkg-config gtk+-3.0 1>/dev/null 2>&1
+if test $? = 0 ; then
+ make distclean
+ ../configure --prefix=$AUTOBUILD_INSTALL_ROOT \
+ --enable-compile-warnings=error \
+ --without-python \
+ --with-gtk=3.0
+ make
+ make install
+fi
+
rm -f *.tar.gz
make dist
@@ -44,10 +57,30 @@ if [ -x /usr/bin/i686-pc-mingw32-gcc ]; then
--without-python \
--without-sasl \
--prefix="$AUTOBUILD_INSTALL_ROOT/i686-pc-mingw32/sys-root/mingw" \
+ --enable-compile-warnings=error \
+ --with-gtk=2.0
make
make install
+ # Test GTK3 build too if available
+ PKG_CONFIG_LIBDIR=/usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig pkg-config gtk+-3.0 1>/dev/null 2>&1
+ if test $? = 0 ; then
+ make distclean
+ PKG_CONFIG_PATH="$AUTOBUILD_INSTALL_ROOT/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig:/usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig" \
+ CC="i686-pc-mingw32-gcc" \
+ ../configure --prefix=$AUTOBUILD_INSTALL_ROOT \
+ --build=$(uname -m)-pc-linux \
+ --host=i686-pc-mingw32 \
+ --without-python \
+ --without-sasl \
+ --prefix="$AUTOBUILD_INSTALL_ROOT/i686-pc-mingw32/sys-root/mingw" \
+ --enable-compile-warnings=error \
+ --with-gtk=3.0
+ make
+ make install
+ fi
+
#set -o pipefail
#make check 2>&1 | tee "$RESULTS"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]